---
title: Trigger a share rename
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Resource Sharing](https://developers.cloudflare.com/api/python/resources/resource_sharing)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Trigger a share rename

resource\_sharing.update(strshare\_id, ResourceSharingUpdateParams\*\*kwargs) -> [ResourceSharingUpdateResponse](<https://developers.cloudflare.com/api/python/resources/resource_sharing#(resource)%20resource_sharing%20%3E%20(model)%20resource_sharing_update_response%20%3E%20(schema)>)

PUT/accounts/{account\_id}/shares/{share\_id}

Updates the share’s display name and tags. This endpoint does **not** modify recipients or resources — those are managed via dedicated subresource endpoints:

- **Recipients**: Use `POST /accounts/{account_id}/shares/{share_id}/recipients` to add a single recipient, `PUT /accounts/{account_id}/shares/{share_id}/recipients` to replace the full recipient list, or `DELETE /accounts/{account_id}/shares/{share_id}/recipients/{recipient_id}` to remove a recipient.
- **Resources**: Use the share’s resource subresource endpoints.

Updating is not immediate; an updated share object with a new status will be returned.

##### Security

API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**`X-Auth-Email: user@example.com`

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**`X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194`

##### ParametersExpand Collapse

account\_id: str

Account identifier.

maxLength32

[Link to this property](<#(resource)%20resource_sharing%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

share\_id: str

Share identifier tag.

maxLength32

[Link to this property](<#(resource)%20resource_sharing%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20share_id%20%3E%20(schema)>)

name: str

The name of the share.

[Link to this property](<#(resource)%20resource_sharing%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20name%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class ResourceSharingUpdateResponse: …

</summary>

id: str

Share identifier tag.

maxLength32

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20resource_sharing_update_response%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

account\_id: str

Account identifier.

maxLength32

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20resource_sharing_update_response%20%3E%20(schema)%20%3E%20(property)%20account_id">Link to this property</a>

account\_name: str

The display name of an account.

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20resource_sharing_update_response%20%3E%20(schema)%20%3E%20(property)%20account_name">Link to this property</a>

created: datetime

When the share was created.

formatdate-time

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20resource_sharing_update_response%20%3E%20(schema)%20%3E%20(property)%20created">Link to this property</a>

modified: datetime

When the share was modified.

formatdate-time

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20resource_sharing_update_response%20%3E%20(schema)%20%3E%20(property)%20modified">Link to this property</a>

name: str

The name of the share.

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20resource_sharing_update_response%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

organization\_id: str

Organization identifier.

maxLength32

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20resource_sharing_update_response%20%3E%20(schema)%20%3E%20(property)%20organization_id">Link to this property</a>

<details>

<summary>

status: Literal\["active", "deleting", "deleted"]

</summary>

One of the following:

"active"

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20resource_sharing_update_response%20%3E%20(schema)%20%3E%20(property)%20status%20%3E%20(member)%200">Link to this property</a>

"deleting"

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20resource_sharing_update_response%20%3E%20(schema)%20%3E%20(property)%20status%20%3E%20(member)%201">Link to this property</a>

"deleted"

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20resource_sharing_update_response%20%3E%20(schema)%20%3E%20(property)%20status%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20resource_sharing_update_response%20%3E%20(schema)%20%3E%20(property)%20status">Link to this property</a>

<details>

<summary>

target\_type: Literal\["account", "organization"]

</summary>

One of the following:

"account"

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20resource_sharing_update_response%20%3E%20(schema)%20%3E%20(property)%20target_type%20%3E%20(member)%200">Link to this property</a>

"organization"

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20resource_sharing_update_response%20%3E%20(schema)%20%3E%20(property)%20target_type%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20resource_sharing_update_response%20%3E%20(schema)%20%3E%20(property)%20target_type">Link to this property</a>

associated\_recipient\_count: Optional\[int]

The number of recipients in the ‘associated’ state. This field is only included when requested via the ‘include\_recipient\_counts’ parameter.

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20resource_sharing_update_response%20%3E%20(schema)%20%3E%20(property)%20associated_recipient_count">Link to this property</a>

associating\_recipient\_count: Optional\[int]

The number of recipients in the ‘associating’ state. This field is only included when requested via the ‘include\_recipient\_counts’ parameter.

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20resource_sharing_update_response%20%3E%20(schema)%20%3E%20(property)%20associating_recipient_count">Link to this property</a>

disassociated\_recipient\_count: Optional\[int]

The number of recipients in the ‘disassociated’ state. This field is only included when requested via the ‘include\_recipient\_counts’ parameter.

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20resource_sharing_update_response%20%3E%20(schema)%20%3E%20(property)%20disassociated_recipient_count">Link to this property</a>

disassociating\_recipient\_count: Optional\[int]

The number of recipients in the ‘disassociating’ state. This field is only included when requested via the ‘include\_recipient\_counts’ parameter.

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20resource_sharing_update_response%20%3E%20(schema)%20%3E%20(property)%20disassociating_recipient_count">Link to this property</a>

<details>

<summary>

kind: Optional\[Literal\["sent", "received"]]

</summary>

One of the following:

"sent"

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20resource_sharing_update_response%20%3E%20(schema)%20%3E%20(property)%20kind%20%3E%20(member)%200">Link to this property</a>

"received"

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20resource_sharing_update_response%20%3E%20(schema)%20%3E%20(property)%20kind%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20resource_sharing_update_response%20%3E%20(schema)%20%3E%20(property)%20kind">Link to this property</a>

<details>

<summary>

resources: Optional\[List\[Resource]]

A list of resources that are part of the share. This field is only included when requested via the ‘include\_resources’ parameter.

</summary>

id: str

Share Resource identifier.

maxLength32

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20resource_sharing_update_response%20%3E%20(schema)%20%3E%20(property)%20resources%20%3E%20(items)%20%3E%20(property)%20id">Link to this property</a>

created: datetime

When the share was created.

formatdate-time

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20resource_sharing_update_response%20%3E%20(schema)%20%3E%20(property)%20resources%20%3E%20(items)%20%3E%20(property)%20created">Link to this property</a>

meta: object

Resource Metadata.

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20resource_sharing_update_response%20%3E%20(schema)%20%3E%20(property)%20resources%20%3E%20(items)%20%3E%20(property)%20meta">Link to this property</a>

modified: datetime

When the share was modified.

formatdate-time

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20resource_sharing_update_response%20%3E%20(schema)%20%3E%20(property)%20resources%20%3E%20(items)%20%3E%20(property)%20modified">Link to this property</a>

resource\_account\_id: str

Account identifier.

maxLength32

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20resource_sharing_update_response%20%3E%20(schema)%20%3E%20(property)%20resources%20%3E%20(items)%20%3E%20(property)%20resource_account_id">Link to this property</a>

resource\_id: str

Share Resource identifier.

maxLength32

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20resource_sharing_update_response%20%3E%20(schema)%20%3E%20(property)%20resources%20%3E%20(items)%20%3E%20(property)%20resource_id">Link to this property</a>

<details>

<summary>

resource\_type: Literal\["custom-ruleset", "gateway-policy", "gateway-destination-ip", 4 more]

Resource Type.

</summary>

One of the following:

"custom-ruleset"

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20resource_sharing_update_response%20%3E%20(schema)%20%3E%20(property)%20resources%20%3E%20(items)%20%3E%20(property)%20resource_type%20%3E%20(member)%200">Link to this property</a>

"gateway-policy"

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20resource_sharing_update_response%20%3E%20(schema)%20%3E%20(property)%20resources%20%3E%20(items)%20%3E%20(property)%20resource_type%20%3E%20(member)%201">Link to this property</a>

"gateway-destination-ip"

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20resource_sharing_update_response%20%3E%20(schema)%20%3E%20(property)%20resources%20%3E%20(items)%20%3E%20(property)%20resource_type%20%3E%20(member)%202">Link to this property</a>

"gateway-block-page-settings"

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20resource_sharing_update_response%20%3E%20(schema)%20%3E%20(property)%20resources%20%3E%20(items)%20%3E%20(property)%20resource_type%20%3E%20(member)%203">Link to this property</a>

"gateway-extended-email-matching"

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20resource_sharing_update_response%20%3E%20(schema)%20%3E%20(property)%20resources%20%3E%20(items)%20%3E%20(property)%20resource_type%20%3E%20(member)%204">Link to this property</a>

"idp-federation-grant"

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20resource_sharing_update_response%20%3E%20(schema)%20%3E%20(property)%20resources%20%3E%20(items)%20%3E%20(property)%20resource_type%20%3E%20(member)%205">Link to this property</a>

"trust-grant"

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20resource_sharing_update_response%20%3E%20(schema)%20%3E%20(property)%20resources%20%3E%20(items)%20%3E%20(property)%20resource_type%20%3E%20(member)%206">Link to this property</a>

</details>

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20resource_sharing_update_response%20%3E%20(schema)%20%3E%20(property)%20resources%20%3E%20(items)%20%3E%20(property)%20resource_type">Link to this property</a>

resource\_version: int

Resource Version.

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20resource_sharing_update_response%20%3E%20(schema)%20%3E%20(property)%20resources%20%3E%20(items)%20%3E%20(property)%20resource_version">Link to this property</a>

<details>

<summary>

status: Literal\["active", "deleting", "deleted"]

Resource Status.

</summary>

One of the following:

"active"

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20resource_sharing_update_response%20%3E%20(schema)%20%3E%20(property)%20resources%20%3E%20(items)%20%3E%20(property)%20status%20%3E%20(member)%200">Link to this property</a>

"deleting"

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20resource_sharing_update_response%20%3E%20(schema)%20%3E%20(property)%20resources%20%3E%20(items)%20%3E%20(property)%20status%20%3E%20(member)%201">Link to this property</a>

"deleted"

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20resource_sharing_update_response%20%3E%20(schema)%20%3E%20(property)%20resources%20%3E%20(items)%20%3E%20(property)%20status%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20resource_sharing_update_response%20%3E%20(schema)%20%3E%20(property)%20resources%20%3E%20(items)%20%3E%20(property)%20status">Link to this property</a>

</details>

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20resource_sharing_update_response%20%3E%20(schema)%20%3E%20(property)%20resources">Link to this property</a>

</details>

[Link to this property](<#(resource)%20resource_sharing%20%3E%20(model)%20resource_sharing_update_response%20%3E%20(schema)>)

### Trigger a share rename

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_email=os.environ.get("CLOUDFLARE_EMAIL"),  # This is the default and can be omitted
    api_key=os.environ.get("CLOUDFLARE_API_KEY"),  # This is the default and can be omitted
)
resource_sharing = client.resource_sharing.update(
    share_id="3fd85f74b32742f1bff64a85009dda07",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
    name="My Shared WAF Managed Rule",
)
print(resource_sharing.id)
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "3fd85f74b32742f1bff64a85009dda07",
    "account_id": "023e105f4ecef8ad9ca31a8372d0c353",
    "account_name": "Account A",
    "created": "2023-09-21T18:56:32.624632Z",
    "modified": "2023-09-21T18:56:32.624632Z",
    "name": "My Shared WAF Managed Rule",
    "organization_id": "023e105f4ecef8ad9ca31a8372d0c353",
    "status": "active",
    "target_type": "account",
    "associated_recipient_count": 10,
    "associating_recipient_count": 1,
    "disassociated_recipient_count": 0,
    "disassociating_recipient_count": 0,
    "kind": "sent",
    "resources": [
      {
        "id": "023e105f4ecef8ad9ca31a8372d0c353",
        "created": "2023-09-21T18:56:32.624632Z",
        "meta": {},
        "modified": "2023-09-21T18:56:32.624632Z",
        "resource_account_id": "023e105f4ecef8ad9ca31a8372d0c353",
        "resource_id": "023e105f4ecef8ad9ca31a8372d0c353",
        "resource_type": "custom-ruleset",
        "resource_version": 0,
        "status": "active"
      }
    ]
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "3fd85f74b32742f1bff64a85009dda07",
    "account_id": "023e105f4ecef8ad9ca31a8372d0c353",
    "account_name": "Account A",
    "created": "2023-09-21T18:56:32.624632Z",
    "modified": "2023-09-21T18:56:32.624632Z",
    "name": "My Shared WAF Managed Rule",
    "organization_id": "023e105f4ecef8ad9ca31a8372d0c353",
    "status": "active",
    "target_type": "account",
    "associated_recipient_count": 10,
    "associating_recipient_count": 1,
    "disassociated_recipient_count": 0,
    "disassociating_recipient_count": 0,
    "kind": "sent",
    "resources": [
      {
        "id": "023e105f4ecef8ad9ca31a8372d0c353",
        "created": "2023-09-21T18:56:32.624632Z",
        "meta": {},
        "modified": "2023-09-21T18:56:32.624632Z",
        "resource_account_id": "023e105f4ecef8ad9ca31a8372d0c353",
        "resource_id": "023e105f4ecef8ad9ca31a8372d0c353",
        "resource_type": "custom-ruleset",
        "resource_version": 0,
        "status": "active"
      }
    ]
  }
}
```